aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Gustavo Pimentel <gustavo.pimentel@synopsys.com>2018-11-13 06:55:53 +0100
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2018-11-13 20:58:05 +0100
commit63e457639abb29781582320825496fece79a675e (patch)
treefcf22d9621730533aeffa2d789de34b692a8d791
parentad361c69f6003bc1e5df5bf6a6b64fe8d9b54645 (diff)
downloadbuildroot-63e457639abb29781582320825496fece79a675e.tar.gz
buildroot-63e457639abb29781582320825496fece79a675e.tar.bz2
package/linux-tools: add support for pcitest tool
Add support for selection and compiling the pcitest tool on buildroot. This tool is available to be compiled since kernel 4.20. Signed-off-by: Gustavo Pimentel <gustavo.pimentel@synopsys.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
-rw-r--r--package/linux-tools/Config.in9
-rw-r--r--package/linux-tools/linux-tool-pci.mk.in27
2 files changed, 36 insertions, 0 deletions
diff --git a/package/linux-tools/Config.in b/package/linux-tools/Config.in
index 349dc6bf0d..f4199fd618 100644
--- a/package/linux-tools/Config.in
+++ b/package/linux-tools/Config.in
@@ -34,6 +34,15 @@ config BR2_PACKAGE_LINUX_TOOLS_IIO
These tools are available only from kernel version 4.7.
+config BR2_PACKAGE_LINUX_TOOLS_PCI
+ bool "pci"
+ select BR2_PACKAGE_LINUX_TOOLS
+ help
+ pcitest is a tool for testing capabilities related to a
+ PCI Endpoint (only works with specific Endpoints).
+
+ These tools are available only from kernel version 4.20.
+
config BR2_PACKAGE_LINUX_TOOLS_PERF
bool "perf"
select BR2_PACKAGE_LINUX_TOOLS
diff --git a/package/linux-tools/linux-tool-pci.mk.in b/package/linux-tools/linux-tool-pci.mk.in
new file mode 100644
index 0000000000..4ef0368a32
--- /dev/null
+++ b/package/linux-tools/linux-tool-pci.mk.in
@@ -0,0 +1,27 @@
+################################################################################
+#
+# pci
+#
+################################################################################
+
+LINUX_TOOLS += pci
+
+PCI_MAKE_OPTS = $(LINUX_MAKE_FLAGS)
+
+define PCI_BUILD_CMDS
+ $(Q)if ! grep install $(LINUX_DIR)/tools/pci/Makefile >/dev/null 2>&1 ; then \
+ echo "Your kernel version is too old and does not have install section in the pci tools." ; \
+ echo "At least kernel 4.20 must be used." ; \
+ exit 1 ; \
+ fi
+
+ $(TARGET_MAKE_ENV) $(MAKE) -C $(LINUX_DIR)/tools/pci \
+ $(PCI_MAKE_OPTS)
+endef
+
+define PCI_INSTALL_TARGET_CMDS
+ $(TARGET_MAKE_ENV) $(MAKE) -C $(LINUX_DIR)/tools/pci \
+ $(PCI_MAKE_OPTS) \
+ DESTDIR=$(TARGET_DIR) \
+ install
+endef